GNOME 3.2 / pyatspi / at-spi2-core

Michael Biebl biebl at
Fri Dec 16 15:07:18 UTC 2011

On 15.12.2011 23:01, Michael Biebl wrote:
> Hi Mario, hi Samuel,
> to unblock the situation regarding GNOME 3.2, I wanted to let you know
> that I'm planning to NMU pyatspi tomorrow and upload the current version
> 2.0.2 to unstable via DELAYED/5. 

I've done the NMU a few moments ago. Attached is the debdiff.

As using static and dynamic pygobject at the same time does not really
work that well, I've pulled a fix from upstream Git for that.
I've changed the dependency on python-gobject to python-gi accordingly.

The complete changelog reads:

 pyatspi (2.0.2+dfsg-1.1) unstable; urgency=low
   * Non-maintainer upload.
   * Upload to unstable.
   * Use introspection for the GLib main loop.
     Patch cherry-picked from upstream Git.
   * Depend on python-gi instead of python-gobject.
   * Use dh_python2 so ${python:Depends} is correctly set.

Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?
-------------- next part --------------
A non-text attachment was scrubbed...
Name: pyatspi-debdiff.patch
Type: text/x-diff
Size: 3672 bytes
Desc: not available
URL: <>
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 900 bytes
Desc: OpenPGP digital signature
URL: <>

More information about the pkg-gnome-maintainers mailing list